Vulnerabilità: CVE-2018-17456


Git prima 2.14.5, 2.15.x prima 2.15.3, 2.16.x prima 2.16.5, 2.17.x prima 2.17.2, 2.18.x prima 2.18.1 e 2.19.1 prima 2.19.x permette esecuzione di codice remoto durante l’elaborazione di un ricorsiva ""clone git"" di una SuperProject se un file .gitmodules ha un campo URL che inizia con un carattere ‘-‘.
http://www.securityfocus.com/bid/105523
http://www.securityfocus.com/bid/107511
https://seclists.org/bugtraq/2019/Mar/30
https://www.debian.org/security/2018/dsa-4311
https://www.exploit-db.com/exploits/45548/
https://www.exploit-db.com/exploits/45631/
http://packetstormsecurity.com/files/152173/Sourcetree-Git-Arbitrary-Code-Execution-URL-Handling.html
https://github.com/git/git/commit/1a7fd1fb2998002da6e9ff2ee46e1bdd25ee8404
https://github.com/git/git/commit/a124133e1e6ab5c7a9fef6d0e6bcb084e3455b46
https://marc.info/?l=git&m=153875888916397&w=2
https://www.openwall.com/lists/oss-security/2018/10/06/3
https://access.redhat.com/errata/RHSA-2018:3408
https://access.redhat.com/errata/RHSA-2018:3505
https://access.redhat.com/errata/RHSA-2018:3541
https://access.redhat.com/errata/RHSA-2020:0316
http://www.securitytracker.com/id/1041811
http://lists.opensuse.org/opensuse-security-announce/2020-05/msg00003.html
https://usn.ubuntu.com/3791-1/
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17456

E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi